#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstBase.Objects.BaseSink where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype BaseSink = BaseSink (ManagedPtr BaseSink)
instance GObject BaseSink where
class (GObject o, O.IsDescendantOf BaseSink o) => IsBaseSink o
instance (GObject o, O.IsDescendantOf BaseSink o) => IsBaseSink o
instance O.HasParentTypes BaseSink
#if ENABLE_OVERLOADING
data BaseSinkAsyncPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkBlocksizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkEnableLastSamplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkLastSamplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkMaxBitratePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkMaxLatenessPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkProcessingDeadlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkQosPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkRenderDelayPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSyncPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkThrottleTimePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkTsOffsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkDoPrerollMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetBlocksizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetDropOutOfSegmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetLastSampleMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetMaxBitrateMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetMaxLatenessMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetProcessingDeadlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetRenderDelayMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetThrottleTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkGetTsOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkIsAsyncEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkIsLastSampleEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkIsQosEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkQueryLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetAsyncEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetBlocksizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetDropOutOfSegmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetLastSampleEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetMaxBitrateMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetMaxLatenessMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetProcessingDeadlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetQosEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetRenderDelayMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetThrottleTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkSetTsOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkWaitClockMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSinkWaitPrerollMethodInfo
#endif
