#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstBase.Objects.BaseSrc where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype BaseSrc = BaseSrc (ManagedPtr BaseSrc)
instance GObject BaseSrc where
class (GObject o, O.IsDescendantOf BaseSrc o) => IsBaseSrc o
instance (GObject o, O.IsDescendantOf BaseSrc o) => IsBaseSrc o
instance O.HasParentTypes BaseSrc
#if ENABLE_OVERLOADING
data BaseSrcBlocksizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcDoTimestampPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcNumBuffersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcTypefindPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcGetAllocatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcGetBlocksizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcGetBufferPoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcGetDoTimestampMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcIsAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcIsLiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcNewSeamlessSegmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcQueryLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetAutomaticEosMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetBlocksizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetCapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetDoTimestampMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetDynamicSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSetLiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcStartCompleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcStartWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcSubmitBufferListMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseSrcWaitPlayingMethodInfo
#endif
