#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstBase.Objects.CollectPads where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CollectPads = CollectPads (ManagedPtr CollectPads)
instance GObject CollectPads where
class (GObject o, O.IsDescendantOf CollectPads o) => IsCollectPads o
instance (GObject o, O.IsDescendantOf CollectPads o) => IsCollectPads o
instance O.HasParentTypes CollectPads
#if ENABLE_OVERLOADING
data CollectPadsAddPadMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsClipRunningTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsEventDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsPeekMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsPopMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsQueryDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsReadBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsRemovePadMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetBufferFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetClipFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetCompareFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetEventFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetFlushFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetFlushingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetQueryFunctionMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSetWaitingMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsSrcEventDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsStartMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsStopMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectPadsTakeBufferMethodInfo
#endif
