#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstBase.Objects.Adapter where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Adapter = Adapter (ManagedPtr Adapter)
instance GObject Adapter where
class (GObject o, O.IsDescendantOf Adapter o) => IsAdapter o
instance (GObject o, O.IsDescendantOf Adapter o) => IsAdapter o
instance O.HasParentTypes Adapter
#if ENABLE_OVERLOADING
data AdapterAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterAvailableFastMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterDistanceFromDiscontMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterDtsAtDiscontMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterGetBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterGetBufferFastMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterGetBufferListMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterGetListMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterMapMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterMaskedScanUint32MethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterMaskedScanUint32PeekMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterOffsetAtDiscontMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPrevDtsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPrevDtsAtOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPrevOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPrevPtsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPrevPtsAtOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPtsAtDiscontMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterPushMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterTakeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterTakeBufferMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterTakeBufferFastMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterTakeBufferListMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterTakeListMethodInfo
#endif
#if ENABLE_OVERLOADING
data AdapterUnmapMethodInfo
#endif
