#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstBase.Objects.BaseParse where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype BaseParse = BaseParse (ManagedPtr BaseParse)
instance GObject BaseParse where
class (GObject o, O.IsDescendantOf BaseParse o) => IsBaseParse o
instance (GObject o, O.IsDescendantOf BaseParse o) => IsBaseParse o
instance O.HasParentTypes BaseParse
#if ENABLE_OVERLOADING
data BaseParseDisablePassthroughPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseAddIndexEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseConvertDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseDrainMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseFinishFrameMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseMergeTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParsePushFrameMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetAverageBitrateMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetFrameRateMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetHasTimingInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetInferTsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetLatencyMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetMinFrameSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetPassthroughMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetPtsInterpolationMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetSyncableMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseParseSetTsAtOffsetMethodInfo
#endif
