#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstBase.Objects.BaseTransform where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype BaseTransform = BaseTransform (ManagedPtr BaseTransform)
instance GObject BaseTransform where
class (GObject o, O.IsDescendantOf BaseTransform o) => IsBaseTransform o
instance (GObject o, O.IsDescendantOf BaseTransform o) => IsBaseTransform o
instance O.HasParentTypes BaseTransform
#if ENABLE_OVERLOADING
data BaseTransformQosPropertyInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformGetAllocatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformGetBufferPoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformIsInPlaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformIsPassthroughMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformIsQosEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformReconfigureSinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformReconfigureSrcMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformSetGapAwareMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformSetInPlaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformSetPassthroughMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformSetPreferPassthroughMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformSetQosEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformUpdateQosMethodInfo
#endif
#if ENABLE_OVERLOADING
data BaseTransformUpdateSrcCapsMethodInfo
#endif
